Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support PHP 8 only #12

Merged
merged 6 commits into from Jul 13, 2021
Merged

Support PHP 8 only #12

merged 6 commits into from Jul 13, 2021

Conversation

drupol
Copy link
Contributor

@drupol drupol commented Jul 11, 2021

This PR

  • Minimum PHP requirement is now PHP 8
  • Thanks to named arguments, Curry and Partial applications can be simplified and used within a single method: Curry
  • Removed obsolete tests
  • Has updated tests
  • Has update documentation

@drupol drupol force-pushed the php8 branch 5 times, most recently from 8071522 to 0e36bab Compare July 13, 2021 16:38
@drupol drupol marked this pull request as ready for review July 13, 2021 19:00
@drupol drupol merged commit 958d5d2 into master Jul 13, 2021
@drupol drupol deleted the php8 branch July 13, 2021 19:00
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

1 participant